package com.ejie.t17i.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.t17i.dao.PaisDao;
import com.ejie.t17i.model.Pais;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * <p>
 * Implementaci&oacute;n de servicios de l&oacute;gica de negocio para acceder a la tabla PAIS de NORA
 * </p>
XXXX
 * 
 * @see com.ejie.t17i.model.Pais
 * @see com.ejie.t17i.dao.PaisDao
 * @see com.ejie.t17i.service.PaisService
 */
@Service(value = "paisService")
public class PaisServiceImpl implements PaisService {

	@Autowired
	private PaisDao paisDao;
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public Pais find(final Pais pais) {
		return (Pais) this.paisDao.find(pais);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public List<Pais> findAll(final Pais pais,final JQGridRequestDto jqGridRequestDto) {
		return (List<Pais>) this.paisDao.findAll(pais, jqGridRequestDto);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long findAllCount(final Pais pais) {
		return (Long) this.paisDao.findAllCount(pais);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public List<Pais> findAllLike(final Pais pais,final JQGridRequestDto jqGridRequestDto,
			Boolean startsWith) {
		return (List<Pais>) this.paisDao.findAllLike(pais, jqGridRequestDto,startsWith);
	}
}
